Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.mediprima.core.v1
Class ProsthesisType

    java.lang.Object
      be.fgov.ehealth.mediprima.core.v1.MedicalCoverCommonInformationType
          be.fgov.ehealth.mediprima.core.v1.ProsthesisType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:33+01:00",
               comments="JAXB RI v2.2.11")
    public class ProsthesisType

extends MedicalCoverCommonInformationType
implements Serializable

Java class for ProsthesisType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProsthesisType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:mediprima:core:v1}MedicalCoverCommonInformationType">
           <sequence>
             <element name="CompanyList" type="{urn:be:fgov:ehealth:mediprima:core:v1}CompanyListType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProsthesisType()`

Method Summary
`CompanyListType` | `getCompanyList()` Gets the value of the companyList property.
`void` | `setCompanyList(CompanyListType value)` Sets the value of the companyList property.

Methods inherited from class be.fgov.ehealth.mediprima.core.v1.MedicalCoverCommonInformationType
`getAllowedSupplements, getAmountPatientPartMax, getPswcSupport, getValidityPeriod, setAllowedSupplements, setAmountPatientPartMax, setPswcSupport, setValidityPeriod`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProsthesisType

    public ProsthesisType()

Method Detail

### getCompanyList

    public CompanyListType getCompanyList()

  Gets the value of the companyList property.

  Returns:
    possible object is `CompanyListType`

### setCompanyList

    public void setCompanyList(CompanyListType value)

  Sets the value of the companyList property.

  Parameters:
    `value` - allowed object is `CompanyListType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.